API SpecificationWorkspaces
SnapshotWorkspace
Authorization
BearerAuth AuthorizationBearer <token>
A namespace-scoped API key (cpk_…) for machines, or a Xeonr Auth OIDC
token for humans. The key's namespace and role are pinned server-side.
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
workspaceId?string
label?string
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://containers.xeonr.io/containers.api.v1.WorkspaceService/SnapshotWorkspace" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"snapshotId": "string",
"atUnix": 0,
"snapshot": {
"snapshotId": "string",
"workspaceId": "string",
"label": "string",
"atUnix": 0,
"totalBytes": 0,
"fileCount": 0,
"ownerKind": "string",
"ownerId": "string"
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}